> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recent engagements

> Get the most recently created or updated engagements in a portal, sorted by when they were last updated, with the most recently updated engagements first.

**Note:** This endpoint will only return records updated in the last 30 days, or the 10k most recently updated records. If you need to get all of your engagements, please use the paged endpoint.

**Note:** In addition to the contacts scope, the sales-email-read scope is required in order to receive the details of any email type engagements. See the Engagements overview for more details.



## OpenAPI

````yaml specs/legacy/v1/crm-engagements-v1.json GET /engagements/v1/engagements/recent/modified
openapi: 3.0.0
info:
  title: CRM Engagements API v1
  version: 1.0.0
  description: Legacy CRM Engagements API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /engagements/v1/engagements/recent/modified:
    get:
      summary: Get recent engagements
      description: >-
        Get the most recently created or updated engagements in a portal, sorted
        by when they were last updated, with the most recently updated
        engagements first.


        **Note:** This endpoint will only return records updated in the last 30
        days, or the 10k most recently updated records. If you need to get all
        of your engagements, please use the paged endpoint.


        **Note:** In addition to the contacts scope, the sales-email-read scope
        is required in order to receive the details of any email type
        engagements. See the Engagements overview for more details.
      operationId: getengagementsv1engagementsrecentmodified
      parameters:
        - name: count
          in: query
          required: false
          description: >-
            The number of items to include in the response. Defaults to 20, has
            a maximum value of 100.
          schema:
            type: integer
            maximum: 100
        - name: offset
          in: query
          required: false
          description: >-
            Used to page through the recent engagements. Each response will
            include an offset value that can be used with this parameter to get
            the next set of records.
          schema:
            type: integer
        - name: since
          in: query
          required: false
          description: >-
            A Unix timestamp in milliseconds. If this parameter is included,
            only records modified after the specified time will be returned.
          schema:
            type: integer
      responses:
        '200':
          description: Successful response - Recently modified engagements
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                  hasMore:
                    type: boolean
                  offset:
                    type: integer
                  total:
                    type: integer

````